Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228345 - multi-lib conflicts
Summary: multi-lib conflicts
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ScientificPython
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jef Spaleta
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-02-12 19:43 UTC by Michael Schwendt
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-13 07:28:26 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-02-12 19:43:40 UTC
ScientificPython - 2.6-6.fc7.x86_64
  Conflicts: 1
  File conflict in:
     /usr/share/doc/ScientificPython-2.6/impipython.sh
  Packages with the same files:
     ScientificPython - 2.6-6.fc7.i386

Comment 1 Jef Spaleta 2007-02-12 20:52:10 UTC
well crap..... the script does reference an arch specific filepath...so it does
conflict.

Any suggestions on how to make these not conflict?

the offending script line is:
mpirun -np 2 /usr/bin/mpipython /usr/lib/python2.4/site-packages/Scientific/BSP/
Console.py

Is there an obvious way using environment variables to replace /usr/lib/ in that
filepath so its generally correct for all arches?

Should I rename the file on a per arch basis?

-jef

Comment 2 Michael Schwendt 2007-02-12 21:29:47 UTC
The arch-specific Python path also makes the script unsuitable
for /usr/share.

But it could be made arch-independent similar to this:

mpirun -np 2 /usr/bin/mpipython `python -c "from distutils.sysconfig import
get_python_lib; print get_python_lib(1)+'/Scientific/BSP/console.py'"`

Comment 3 Jef Spaleta 2007-02-12 21:37:44 UTC
(In reply to comment #2)
> The arch-specific Python path also makes the script unsuitable
> for /usr/share.

Even shipped as a doc?  its provided more as a courtesy, than as a functional
script.

> 
> But it could be made arch-independent similar to this:
> 
> mpirun -np 2 /usr/bin/mpipython `python -c "from distutils.sysconfig import
> get_python_lib; print get_python_lib(1)+'/Scientific/BSP/console.py'"`

This its great!  I'll integrate this fix, and roll up some locally built rpms
tonite. Can you test them and report back to make sure the multi-lib issues are
dead.

FYI, I just got a 64bit system locally, but its running 32bit fedora at the
moment. I need to establish a 64bit install in a chroot so I can finally do my
own pre-buildsystem push testing to catch multi-lib issues. Personal work-units
are in short supply. Thanks again for the alternative script.

-jef


Comment 4 Michael Schwendt 2007-02-12 22:13:44 UTC
I can't build for or test x86_64 locally. The conflicts checker works
remotely on repository metadata and rpm headers.


Comment 5 Jef Spaleta 2007-02-13 07:28:26 UTC
fixed and rebuilt.


Note You need to log in before you can comment on or make changes to this bug.